<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Products by restaurant</title>
    <link rel="stylesheet" href="/products-restaurant.css">
</head>

<body>
<div class="table-wrapper">
    <table class="fl-table">
        <thead>
        <thead>
        <tr>
            <th>Product name</th>
            <th>Description</th>
            <th>Image</th>
            <th>Price</th>
            <th>Update</th>
            <th>Delete</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="product:${products}">
            <td th:text="${product.productName}"></td>
            <td th:text="${product.description}"></td>
            <td><img th:src="*{'data:image/jpg;base64,'+ restaurant.imageAsString}" height="70px" width="90px" alt="Image" /></td>
            <td th:text="${product.price}"></td>

            <td>
                <a  th:href="@{/displayEditProduct/{idProduct}(idProduct=${product.idProduct})}">
                    <img src="images/database-edit-icon24.png" th:src="@{images/database-edit-icon24.png}" alt="Edit">
                </a>
            </td>
            <td>
                <a th:href="@{/products/delete/{idProduct}(idProduct=${product.idProduct})}">
                    <img src="images/Misc-Delete-Database-icon24.png" th:src="@{images/Misc-Delete-Database-icon24.png}" alt="Delete restaurant">
                </a>
            </td>
        </tr>
        </tbody>
    </table>
    <p><a th:href="@{/displayAdminHome}"><img src="images/blue-home-icon32.png" th:src="@{images/blue-home-icon32.png}" alt="Home"></a></p>
</div>


</body>
</html>